com.mysql.cj.protocol

## Interface ProtocolEntityFactory<T,M extends Message>

    public interface ProtocolEntityFactory<T,M extends Message>

### Method Summary

All Methods Instance Methods Default Methods
`default T` `createFromMessage(M message)` Create ProtocolEntity of type `T` from protocol message.
`default T` `createFromProtocolEntity(ProtocolEntity protocolEntity)` Create object from protocol entity.
`default int` `getFetchSize()`
`default Resultset.Concurrency` `getResultSetConcurrency()`
`default Resultset.Type` `getResultSetType()`

### Method Detail

#### createFromMessage

    default T createFromMessage(M message)

Create ProtocolEntity of type `T` from protocol message.

Parameters:
  `message` - `Message` instance
Returns:
  T

#### getResultSetType

    default Resultset.Type getResultSetType()

#### getResultSetConcurrency

    default Resultset.Concurrency getResultSetConcurrency()

#### getFetchSize

    default int getFetchSize()

#### createFromProtocolEntity

    default T createFromProtocolEntity(ProtocolEntity protocolEntity)

Create object from protocol entity.

Parameters:
  `protocolEntity` - the `ProtocolEntity` to create from
Returns:
  a new ProtocolEntity

Copyright © 2016, 2023, Oracle and/or its affiliates.